import type { ToRefs } from 'vue';
import { type DeepPartial } from '@gx-design-vue/pro-utils';
import { Ref } from 'vue';
interface DefaultStoreValue<T> {
    setValue: (newValue: Partial<T>) => void;
}
export type PiniaStoreValue<R, T = undefined> = T extends undefined ? ToRefs<R> & DefaultStoreValue<R> : ToRefs<R> & T & DefaultStoreValue<R>;
export default function useReactiveState<T extends Record<string, any>>(defaultStateValue: T | (() => T), options?: {
    omitUndefined?: boolean;
}): [Ref<T>, (val: DeepPartial<T>) => void];
export {};
